> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-chore-regenerate-agent-sdk-openapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Git Commit Changes Query

> Get the files changed by a single commit (vs its first parent).



## OpenAPI

````yaml /openapi/agent-sdk.json get /api/git/commits/{sha}/changes
openapi: 3.1.0
info:
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  title: OpenHands Agent Server
  version: 1.52.0
servers: []
security: []
paths:
  /api/git/commits/{sha}/changes:
    get:
      tags:
        - Git
      summary: Git Commit Changes Query
      description: Get the files changed by a single commit (vs its first parent).
      operationId: git_commit_changes_query_api_git_commits__sha__changes_get
      parameters:
        - description: Commit SHA
          in: path
          name: sha
          required: true
          schema:
            description: Commit SHA
            pattern: ^[0-9a-fA-F]{4,64}$
            title: Sha
            type: string
        - description: The git repository path
          in: query
          name: path
          required: true
          schema:
            description: The git repository path
            title: Path
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/GitChange'
                title: >-
                  Response Git Commit Changes Query Api Git Commits  Sha 
                  Changes Get
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - APIKeyHeader: []
components:
  schemas:
    GitChange:
      properties:
        path:
          format: path
          title: Path
          type: string
        status:
          $ref: '#/components/schemas/GitChangeStatus'
      required:
        - status
        - path
      title: GitChange
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    GitChangeStatus:
      enum:
        - MOVED
        - ADDED
        - DELETED
        - UPDATED
      title: GitChangeStatus
      type: string
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-Session-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.